Package cx.ath.matthew.cgi

# Class MultipleDropDown

java.lang.Object
cx.ath.matthew.cgi.Field
cx.ath.matthew.cgi.DropDown
cx.ath.matthew.cgi.MultipleDropDown

public class MultipleDropDown extends DropDown

Author:
  Agent TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

## Field Summary

### Fields inherited from class cx.ath.matthew.cgi.Field

`label, name`

## Constructor Summary

Constructors
Constructor
Description
`MultipleDropDown(String name, String label, String[] values, int defval, boolean indexed)`
`MultipleDropDown(String name, String label, String[] values, String defval, boolean indexed)`
`MultipleDropDown(String name, String label, List values, int defval, boolean indexed)`
`MultipleDropDown(String name, String label, List values, String defval, boolean indexed)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`print()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultipleDropDown

public MultipleDropDown(String name, String label, String[] values, String defval, boolean indexed)

Parameters:
  `name` -
  `label` -
  `values` -
  `defval` -
  `indexed` -

### MultipleDropDown

public MultipleDropDown(String name, String label, String[] values, int defval, boolean indexed)

Parameters:
  `name` -
  `label` -
  `values` -
  `defval` -
  `indexed` -

### MultipleDropDown

public MultipleDropDown(String name, String label, List values, String defval, boolean indexed)

Parameters:
  `name` -
  `label` -
  `values` -
  `defval` -
  `indexed` -

### MultipleDropDown

public MultipleDropDown(String name, String label, List values, int defval, boolean indexed)

Parameters:
  `name` -
  `label` -
  `values` -
  `defval` -
  `indexed` -

## Method Details

### print

protected String print()

Overrides:
  `print` in class `DropDown`